commit:     ca7f96938cb2d813f5b800f5fcf2ca7d3dcfe27b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 24 07:56:19 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 24 07:56:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca7f9693

dev-python/plumbum: add 1.7.2

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/plumbum/Manifest             |  1 +
 dev-python/plumbum/plumbum-1.7.2.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/plumbum/Manifest b/dev-python/plumbum/Manifest
index 27a2355f66d4..3f99c0c5476b 100644
--- a/dev-python/plumbum/Manifest
+++ b/dev-python/plumbum/Manifest
@@ -1,2 +1,3 @@
 DIST plumbum-1.7.0.tar.gz 318890 BLAKE2B 
19ae8a37dff38ac3d263d9400e44ac174c46ff8cef92cf45b9ea31d6d344543fba66de3fd0fcd15acc205af5939f11be6c56e6cd9ca39a666f92f18dcd29b9f7
 SHA512 
0a12891278c12bb98b8bbb825448375240ee347eb3ca166b9cbb4da3e083979d947a7bf0a843fd9a0b7c9a13d09f24e988ee877f29420a3f29f40e387eec8826
 DIST plumbum-1.7.1.tar.gz 323014 BLAKE2B 
28d9616c3bcb13f1e9cf9c47b4533c62caf630d7eab998e86023256b568f8f038444f8741bb902ed999f04f480bc09159aab075d184f497b00a452bfac57c996
 SHA512 
d6648acce8e84045cd8c2fc4a90c427fd5ab5a39e49e7a1f10b20ffbca20cc42636183325501e5b577631e4f1c5a1b3e7cae12ec6b89ff853e5a50946c15f3c7
+DIST plumbum-1.7.2.tar.gz 323051 BLAKE2B 
a16d9210606ac67abd425fcff109d40836dc969729cc5bf78a5d224c0beabf09d56d35f17809994d758153c6e18e4af91403f7ae0111912447367be68f6592c1
 SHA512 
77e75988255ca78fa5c253c6d076d63f8f9250a2b153ef23e40f35315e255ea09403d854a19bb265fd658bb9e5f0f705dc7530ecacc40b4b48e33acdf50dddf9

diff --git a/dev-python/plumbum/plumbum-1.7.2.ebuild 
b/dev-python/plumbum/plumbum-1.7.2.ebuild
new file mode 100644
index 000000000000..1102887095ff
--- /dev/null
+++ b/dev-python/plumbum/plumbum-1.7.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A library for shell script-like programs in python"
+HOMEPAGE="https://plumbum.readthedocs.io/en/latest/ 
https://github.com/tomerfiliba/plumbum";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # Need sshd running
+       tests/test_remote.py
+       tests/test_utils.py
+       # Windows specific
+       tests/test_putty.py
+       # Needs sudo without password
+       tests/test_sudo.py
+       # Wrong assumptions about env handling
+       tests/test_env.py::TestEnv::test_change_env
+       tests/test_env.py::TestEnv::test_dictlike
+       tests/test_local.py::TestLocalPath::test_iterdir
+)
+
+src_prepare() {
+       sed -e '/addopts/d' -i setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+       optfeature "remote commands via ssh" dev-python/paramiko
+       optfeature "progress bars in jupyter" dev-python/ipywidgets
+       optfeature "colored output in jupyter" dev-python/ipython
+       optfeature "images on the command line" dev-python/pillow
+}

Reply via email to